PHP-инклюдинг в YourFreeScreamer

Дата публикации:
18.06.2007
Всего просмотров:
5601
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3271
CVE-2007-3315
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
YourFreeScreamer 1.x
Уязвимые версии: YourFreeScreamer 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "serverPath" в сценариях templates/2blue/bodyTemplate.php, templates/Classic/bodyTemplate.php, templates/Classic GuestBook/bodyTemplate.php, templates/DarkNights/bodyTemplate.php и templates/Simplistic/bodyTemplate.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/script_path/templates/2blue/bodyTemplate.php?serverPath=[file]

URL производителя: yfma.com/yfs/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA